@echo off
REM This installation batch file is the afterscript for Windows NT.
REM MSVCRT40.DLL may be present and in use, so it can silently fail

REM Change to directory with registry info and set the registry
echo  RCPath = REG_SZ "%RCPATH%" >> "%RCPATH%\sys\set\REGILOG.INI"

"%RCPATH%\sys\set\REGINI.EXE" "%RCPATH%\sys\set\REGILOG.INI"
if errorlevel 1 goto error

if not exist %WINDIR%\system32\MSVCRT40.DLL copy "%RCPATH%\MSVCRT40.DLL" %WINDIR%\system32\MSVCRT40.DLL

NET stop TME10RC
copy "%RCPATH%\RCSERV.EXE" %WINDIR%\RCSERV.EXE
copy "%RCPATH%\INSTSRV.EXE" %WINDIR%\INSTSRV.EXE
"%RCPATH%\WRUNUIEP.EXE" "%RCPATH%\INSTSRV.EXE" TME10RC wipe

if exist "%RCPATH%\EQNRCGVD.DLL" del "%RCPATH%\EQNRCGVD.DLL"

ver > "%RCPATH%\nt.ver"
findstr -C:"4.0" "%RCPATH%\nt.ver"
if errorlevel 1 goto wnt351
goto wnt40

:wnt351
copy "%RCPATH%\EQNRCG35.DLL" "%RCPATH%\EQNRCGVD.DLL"
goto service 

:wnt40
copy "%RCPATH%\EQNRCG40.DLL" "%RCPATH%\EQNRCGVD.DLL"
if exist %WINDIR%\EQNHOOK.DL~ del %WINDIR%\EQNHOOK.DL~
if exist %WINDIR%\EQNHOOK.DLL rename %WINDIR%\EQNHOOK.DLL EQNHOOK.DL~
copy "%RCPATH%\EQNHOOK.DLL" %WINDIR%\EQNHOOK.DLL

:service
if exist %WINDIR%\system32\vdd.dl~ del %WINDIR%\system32\vdd.dl~
if exist %WINDIR%\system32\vdd.dll rename %WINDIR%\system32\vdd.dll vdd.dl~
copy "%RCPATH%\vdd.dll" %WINDIR%\system32\vdd.dll

if exist %WINDIR%\system32\vddfifo.dl~ del %WINDIR%\system32\vddfifo.dl~
if exist %WINDIR%\system32\vddfifo.dll rename %WINDIR%\system32\vddfifo.dll vddfifo.dl~
copy "%RCPATH%\vddfifo.dll" %WINDIR%\system32\vddfifo.dll

if exist %WINDIR%\system32\vddhook.dl~ del %WINDIR%\system32\vddhook.dl~
if exist %WINDIR%\system32\vddhook.dll rename %WINDIR%\system32\vddhook.dll vddhook.dl~
copy "%RCPATH%\vddhook.dll" %WINDIR%\system32\vddhook.dll

if exist %WINDIR%\system32\drivers\keyex.sy~ del %WINDIR%\system32\drivers\keyex.sy~
if exist %WINDIR%\system32\drivers\keyex.sys rename %WINDIR%\system32\drivers\keyex.sys keyex.sy~
copy "%RCPATH%\SYS\keyex.sys" %WINDIR%\system32\drivers\keyex.sys

if exist %WINDIR%\system32\drivers\mouex.sy~ del %WINDIR%\system32\drivers\mouex.sy~
if exist %WINDIR%\system32\drivers\mouex.sys rename %WINDIR%\system32\drivers\mouex.sys mouex.sy~ 
copy "%RCPATH%\SYS\mouex.sys" %WINDIR%\system32\drivers\mouex.sys

if exist %WINDIR%\system32\drivers\tgrab.sy~ del %WINDIR%\system32\drivers\tgrab.sy~
if exist %WINDIR%\system32\drivers\tgrab.sys rename %WINDIR%\system32\drivers\tgrab.sys tgrab.sy~
copy "%RCPATH%\SYS\tgrab.sys" %WINDIR%\system32\drivers\tgrab.sys

if exist %WINDIR%\wrchide.exe del %WINDIR%\wrchide.exe
copy "%RCPATH%\wrchide.exe" %WINDIR%\wrchide.exe

"%RCPATH%\WRUNUIEP.EXE" "%RCPATH%\INSTSRV.EXE" TME10RC %WINDIR%\RCSERV.EXE
NET start TME10RC
del "%RCPATH%\WRUNUIEP.EXE"

if errorlevel 1 goto error

"%RCPATH%\VERSION.EXE"

REM delete the eqnhook key from the registry
call %RCPATH%\RmRgKey
goto done

:error
echo Installation Failed  >> "%RCPATH%\TRGTINST.LOG"
exit 1

:done
echo Installation completed succesfully  >> "%RCPATH%\TRGTINST.LOG"
exit 0
